# safe_base.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file safe_base.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_debug

## Classes

- class __gnu_debug::_Safe_iterator_base
    Basic functionality for a "safe" iterator. More...
- class __gnu_debug::_Safe_sequence_base
    Base class that supports tracking of iterators that reference a sequence. More...

## Defines

- #define _GLIBCXX_DEBUG_SAFE_BASE_H